Package be.fgov.ehealth.standards.kmehr.cd.v1

# Class LnkType

java.lang.Object
be.fgov.ehealth.standards.kmehr.cd.v1.LnkType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:10+02:00", comments="JAXB RI v4.0.5") public class LnkType extends Object implements Serializable

Java class for lnkType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="lnkType">
       <simpleContent>
         <extension base="<http://www.w3.org/2001/XMLSchema>base64Binary">
           <attribute name="TYPE" use="required" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-LNKvalues" />
           <attribute name="MEDIATYPE" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-MEDIATYPEvalues" />
           <attribute name="URL" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="SIZE" type="{http://www.w3.org/2001/XMLSchema}string" />
         </extension>
       </simpleContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LnkType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `CDMEDIATYPEvalues`
  `getMEDIATYPE()`
  Gets the value of the mediatype property.
  `String`
  `getSIZE()`
  Gets the value of the size property.
  `CDLNKvalues`
  `getTYPE()`
  Gets the value of the type property.
  `String`
  `getURL()`
  Gets the value of the url property.
  `byte[]`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setMEDIATYPE(CDMEDIATYPEvalues value)`
  Sets the value of the mediatype property.
  `void`
  `setSIZE(String value)`
  Sets the value of the size property.
  `void`
  `setTYPE(CDLNKvalues value)`
  Sets the value of the type property.
  `void`
  `setURL(String value)`
  Sets the value of the url property.
  `void`
  `setValue(byte[] value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LnkType

    public LnkType()

- ## Method Details

  - ### getValue

    public byte[] getValue()
    Gets the value of the value property.
    Returns:
      possible object is byte[]

  - ### setValue

    public void setValue(byte[] value)
    Sets the value of the value property.
    Parameters:
      `value` - allowed object is byte[]

  - ### getTYPE

    public CDLNKvalues getTYPE()
    Gets the value of the type property.
    Returns:
      possible object is `CDLNKvalues`

  - ### setTYPE

    public void setTYPE(CDLNKvalues value)
    Sets the value of the type property.
    Parameters:
      `value` - allowed object is `CDLNKvalues`

  - ### getMEDIATYPE

    public CDMEDIATYPEvalues getMEDIATYPE()
    Gets the value of the mediatype property.
    Returns:
      possible object is `CDMEDIATYPEvalues`

  - ### setMEDIATYPE

    public void setMEDIATYPE(CDMEDIATYPEvalues value)
    Sets the value of the mediatype property.
    Parameters:
      `value` - allowed object is `CDMEDIATYPEvalues`

  - ### getURL

    public String getURL()
    Gets the value of the url property.
    Returns:
      possible object is `String`

  - ### setURL

    public void setURL(String value)
    Sets the value of the url property.
    Parameters:
      `value` - allowed object is `String`

  - ### getSIZE

    public String getSIZE()
    Gets the value of the size property.
    Returns:
      possible object is `String`

  - ### setSIZE

    public void setSIZE(String value)
    Sets the value of the size property.
    Parameters:
      `value` - allowed object is `String`